SSS_SEED(8)

NAME
sss_seed - initialise le cache SSSD avec un utilisateur

SYNOPSIS

sss_seed [options] -D DOMAIN -n USER

DESCRIPTION

sss_seed initialise le cache SSSD avec une entrée d'utilisateur et le mot de passe temporaire. Si une entrée d'utilisateur est déjà présente dans le cache de SSSD, l'entrée est mise à jour avec le mot de passe temporaire.

OPTIONS

-D,--domain DOMAIN
    Indique le nom de domaine duquel l'utilisateur est membre. Le domaine est également utilisé pour récupérer les informations sur l'utilisateur. Le domaine doit être configuré dans sssd.conf. L'option DOMAIN doit être fournie. Les informations récupérées depuis le domaine prennent le pas sur ce qui est fourni dans les options.

-n,--username USER
    Le nom d'utilisateur de l'entrée devant être créée ou modifiée dans le cache. L'option USER doit être fournie.

-u,--uid UID
    Définit l'UID de l'utilisateur à UID.

-g,--gid GID
    Définit le GID de l'utilisateur à GID.

-c,--gecos COMMENTAIRE
    Toute chaîne de caractère décrivant l'utilisateur. Souvent utilisé comme champ pour le nom entier de l'utilisateur.

-h,--home HOME_DIR
    Définit le répertoire de l'utilisateur à HOME_DIR.

-s,--shell SHELL
    Définit l'interpréteur de commande de l'utilisateur à SHELL.

-i,--interactive
    Mode interactif pour la saisie des informations de l'utilisateur. Cette option invite uniquement à la saisir des renseignements non fournis dans les options ou non récupérés à partir du domaine.

-p,--password-file PASS_FILE
    Spécifie le fichier dans lequel lire le mot de passe de l'utilisateur. (si aucun mot de passe n'est spécifié, il sera demandé)

-?,--help
    Affiche l'aide et quitte.

NOTES

La taille du mot de passe (ou la taille du fichier spécifié avec l'option -p ou --password-file) doit être inférieure ou égale à PASS_MAX octets (64 octets sur les systèmes sans valeur globale définie de PASS_MAX).

VOIR AUSSI

sssd(8), sssd.conf(5), sssd-ldap(5), sssd-krb5(5), sssd-simple(5), sssd-ipa(5), sssd-ad(5), sssd-files(5), sssd-sudo(5), sssd-secrets(5), sssd-session-recording(5), sss_cache(8), sss_debuglevel(8), sss_obfuscate(8), sss_seed(8), sssd_krb5_locator_plugin(8), sss_ssh_authorizedkeys(8), sss_ssh_knownhostsproxy(8), sssd-ifp(5), pam_sss(8). sss_rpcidmapd(5)

AUTHORS

The SSSD upstream - https://pagure.io/SSSD/sssd/